apiVersion: apps/v1
kind: Deployment
metadata:
  name: nginx-discret
  labels:
    app: nginx-discret
spec:
  replicas: 10
#  selector:         dictionnaire (ainsi que .spec.template.metadata) générés automatiquement SI kustomization.yaml définit "commonLabels"
#    matchLabels:
#      app: nginx-discret
  template:
#    metadata:
#      labels:
#        app: nginx-discret
    spec:
      containers:
      - image: nginx:alpine
        imagePullPolicy: IfNotPresent
        name: serveurweb
        volumeMounts:
          - name: discret
            # mountPath: /etc/nginx/conf.d   # comme ça et sans subPath alors invibilise les autres fichiers du dossier conf.d
            mountPath: /etc/nginx/conf.d/chut.conf
            subPath: chut.conf   # invonvénient : les mises à jour de la configMap ne sont pas répercutées automatiquement
      volumes:
        - name: discret
          configMap:
            name: chut-nginx
            items:
              - key: chut.conf
                path: chut.conf
